Get All Service Definitions

Get All Service Definitions
Get all service definitions.

This API has no analogue in Tenant Manager

Access Policy

Role Access
Platform operator ✔️
Organization Owner ✔️
Organization Member ✔️
Service Account (Whitelisted Client) ✔️
Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/csp/gateway/slc/api/definitions
COPY
Query Parameters
string
orgLink
Optional

orgLink

string
expand
Optional

expand


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns AllServiceDefinitionsResponse of type(s) */*
{
    "serviceDefinitionLinks": [
        "string"
    ],
    "results": [
        {
            "name": "string",
            "displayName": "string",
            "descriptionLong": "string",
            "isGated": false,
            "visible": false,
            "serviceUrls": {
                "offerConfiguration": "string",
                "serviceHome": "string",
                "requestAccess": "string"
            },
            "serviceRoles": [
                {
                    "name": "string",
                    "displayName": "string",
                    "serviceDefinition": "ServiceDefinitionResponse Object",
                    "serviceDefinitionLink": "string",
                    "default": false,
                    "isHidden": false
                }
            ],
            "organizationLink": "string",
            "documentSelfLink": "string",
            "healthCheckURL": "string",
            "serviceIcon": "string",
            "serviceNavBarIcon": "string",
            "isPrimary": false,
            "isBeta": false
        }
    ]
}

401

The user is not authorized to use the API.

Returns AllServiceDefinitionsResponse of type(s) */*
{
    "serviceDefinitionLinks": [
        "string"
    ],
    "results": [
        {
            "name": "string",
            "displayName": "string",
            "descriptionLong": "string",
            "isGated": false,
            "visible": false,
            "serviceUrls": {
                "offerConfiguration": "string",
                "serviceHome": "string",
                "requestAccess": "string"
            },
            "serviceRoles": [
                "ServiceRoleResponse Object"
            ],
            "organizationLink": "string",
            "documentSelfLink": "string",
            "healthCheckURL": "string",
            "serviceIcon": "string",
            "serviceNavBarIcon": "string",
            "isPrimary": false,
            "isBeta": false
        }
    ]
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/csp/gateway/slc/api/definitions